## org.hibernate.tool.hbm2ddl
Interface ImportSqlCommandExtractor

All Superinterfaces:
  Serializable, Service

All Known Implementing Classes:
  MultipleLinesSqlCommandExtractor, SingleLineSqlCommandExtractor

    public interface ImportSqlCommandExtractor

extends Service

Contract for extracting statements from import.sql script.

Method Summary
`String[]` `extractCommands(Reader reader)`

Method Detail

### extractCommands

    String[] extractCommands(Reader reader)

  Parameters:
    `reader` - Character stream reader of SQL script.
  Returns:
    List of single SQL statements. Each command may or may not contain semicolon at the end.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.